at.chipkarte.client.elgaad.soap

## Class Custodian

- Object
- - at.chipkarte.client.elgaad.soap.Custodian

-     public class Custodian
      extends Object

  Informationen zum Verwahrers des Dokuments.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob Custionan zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Custodian()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse` | `getAdresse()` Adresse.
    `Id` | `getId()` Identifikation des Verwahrers des Dokuments aus dem GDA-Index.
    `String` | `getName()` Name der Verwahrers.
    `String` | `getTelecom()` Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
    `void` | `setAdresse(Adresse adresse)`
    `void` | `setId(Id id)`
    `void` | `setName(String name)`
    `void` | `setTelecom(String telecom)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Custodian

          public Custodian()

  - ### Method Detail

    - #### getId

          public Id getId()

      Identifikation des Verwahrers des Dokuments aus dem GDA-Index. Siehe `Id`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        Id.

    - #### getName

          public String getName()

      Name der Verwahrers. Siehe `Name`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Returns:
        Name.

    - #### getTelecom

          public String getTelecom()

      Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Format: Präfix gemäß Value-Set "ELGA_URLScheme" (siehe Terminologieserver) gefolgt vom tatsächlichem Wert
      Beispiele: Telefonnummer - "tel:+43 1 40400", E-Mail: "mailto:office@organisation.at"
      Returns:
        Kontaktdaten.

    - #### getAdresse

          public Adresse getAdresse()

      Adresse. Siehe `Adresse`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Returns:
        Adresse.

    - #### setId

          public void setId(Id id)

    - #### setName

          public void setName(String name)

    - #### setTelecom

          public void setTelecom(String telecom)

    - #### setAdresse

          public void setAdresse(Adresse adresse)